export var flowElementsById = {};
var FlowElement = /** @class */ (function () {
    function FlowElement(id, options) {
        this.edges = [];
        this.listeners = [];
        this.id = id;
        this.options = Object.assign({}, options);
        this.register();
    }
    FlowElement.getById = function (id) {
        return flowElementsById[id];
    };
    FlowElement.prototype.leadsTo = function (destinationElement, options) {
        this.edges.push({ otherId: destinationElement.id, options: options });
        return destinationElement;
    };
    FlowElement.prototype.register = function () {
        if (flowElementsById[this.id]) {
            throw new Error('ID ' + this.id + 'is already registered!');
        }
        flowElementsById[this.id] = this;
    };
    FlowElement.prototype.on = function (event, callback) {
        this.listeners.push({ event: event, callback: callback });
    };
    return FlowElement;
}());
export { FlowElement };
//# sourceMappingURL=FlowElement.js.map