import * as tslib_1 from "tslib";
import { Component, Prop, Vue, Watch } from 'vue-property-decorator';
import { FlowChart } from './FlowChart';
export * from './FlowChart';
var VueFlowy = /** @class */ (function (_super) {
    tslib_1.__extends(VueFlowy, _super);
    function VueFlowy() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.chartElement = null;
        return _this;
    }
    VueFlowy.prototype.render = function (h) {
        return h('div', { class: "flow-chart", ref: 'flowyChart' }, [
            h('style', '.flow-chart > svg {display: block;} .flow-chart .node rect {stroke: #999; fill: #fff; stroke-width: 1.5px;} .flow-chart .edgePath path {stroke: #333; stroke-width: 1.5px;}')
        ]);
    };
    VueFlowy.prototype.onElementsChanged = function (val, oldVal) {
        if (!this.chartElement) {
            return;
        }
        this.chart.render(this.chartElement);
    };
    VueFlowy.prototype.mounted = function () {
        if (!this.$refs.flowyChart) {
            throw new Error('No flowyChart rendered!');
        }
        this.chartElement = this.$refs.flowyChart;
    };
    tslib_1.__decorate([
        Prop(FlowChart)
    ], VueFlowy.prototype, "chart", void 0);
    tslib_1.__decorate([
        Watch('chart.elements')
    ], VueFlowy.prototype, "onElementsChanged", null);
    VueFlowy = tslib_1.__decorate([
        Component
    ], VueFlowy);
    return VueFlowy;
}(Vue));
export { VueFlowy };
//# sourceMappingURL=VueFlowy.js.map